#
# spec file for package obs-api-deps
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           obs-api-deps
Summary:        The Open Build Service -- Gem dependencies
License:        MIT
Group:          Productivity/Networking/Web/Utilities
Version:        2.7.1
Release:        5%{?dist}.2
Url:            http://en.opensuse.org/Build_Service
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        https://github.com/openSUSE/open-build-service/archive/%{version}/open-build-service-%{version}.tar.gz
Source1:        find-requires.sh
Patch1:         obs-server-2.7.1-0001-api-Use-bundler_ext-instead-of-bundler-if-Gemfile.in.patch
Patch2:         obs-server-2.7.1-0002-api-Require-json-gem-explicitly-for-tests.patch
Patch3:         obs-server-2.7.1-0003-webui-Require-specific-version-range-for-jquery-data.patch
Patch4:         obs-server-2.7.1-0004-api-Log-server-name-to-test-log-for-backend-log-mess.patch
Patch5:         obs-server-2.7.1-0005-api-Use-OBS_API_PREFIX-instead-of-explicit-pathname-.patch
Patch6:         obs-server-2.7.1-0006-backend-Make-OBS_BACKEND_DATA_DIR-variable-configura.patch
Patch7:         obs-server-2.7.1-0007-dist-Set-proper-Apache-user-group-when-installing-sc.patch
Patch8:         obs-server-2.7.1-0008-backend-Set-proper-pathnames-when-installing-backend.patch
Patch9:         obs-server-2.7.1-0009-dist-Set-proper-pathnames-when-installing-dist-files.patch
Patch10:        obs-server-2.7.1-0010-dist-Use-configuration-variables-instead-of-hardcode.patch
Patch11:        obs-server-2.7.1-0011-api-Use-absolute-pathnames-for-apidocs-in-config-env.patch
Patch12:        obs-server-2.7.1-0012-dist-Make-fillup-file-location-and-name-configurable.patch
Patch13:        obs-server-2.7.1-0013-dist-Make-obs-devel-doc-location-configutrable.patch
Patch14:        obs-server-2.7.1-0014-backend-Be-more-tolerant-for-XML-parser-used-for-tes.patch
Patch15:        obs-server-2.7.1-0015-backend-Fix-cleanup-in-BSSched-EventSource-Directory.patch
Patch16:        obs-server-2.7.1-0016-api-Autodetect-mysqld-and-memcached-pathname-for-api.patch
Patch17:        obs-server-2.7.1-0017-api-Specify-mysqld-pidfile-explicitly-for-api-test.patch
Patch18:        obs-server-2.7.1-0018-api-Tolerate-ArgumentError-message-of-older-Ruby-for.patch
Patch19:        obs-server-2.7.1-0019-api-Use-File.join-to-join-root_path-with-URL-rest-in.patch
Patch20:        obs-server-2.7.1-0020-webui-Wait-for-flash-message-to-appear-in-webui-test.patch
Patch21:        obs-server-2.7.1-0021-webui-Wait-for-elements-to-appear-in-webui-tests.patch
Patch22:        obs-server-2.7.1-0022-dist-Make-tests-respect-INITDDIR-and-SBINDIR-configu.patch
Patch23:        obs-server-2.7.1-0023-dist-api-backend-Make-backend-ports-configurable.patch
Patch24:        obs-server-2.7.1-0024-dist-backend-Make-backend-log-directory-configurable.patch
Patch25:        obs-server-2.7.1-0025-api-Make-api-log-directory-configurable.patch
Patch26:        obs-server-2.7.1-0026-api-Don-t-require-specific-version-of-minitest.patch
Patch27:        obs-server-2.7.1-0027-ci-Fix-state-setting-in-the-user-controller-test.patch
Patch28:        obs-server-2.7.1-0028-ci-Fix-test-suite-failures-during-OBS-rpm-build-Webu.patch
BuildRequires:  ruby(release)
BuildRequires:  ruby >= 2.2.0
BuildRequires:  rubygem(bundler)
%if 0%{?suse_version} < 1210
BuildRequires:  xz
%endif

%global debug_package   %{nil}

%description
This package serves one purpose only: to list the dependencies in Gemfile.lock

%package -n obs-api-testsuite-deps
Summary:        The Open Build Service -- The Testsuite dependencies
Group:          Productivity/Networking/Web/Utilities
# dependencies not needed in production
Requires:       %(bash %{S:1} %{S:0} '' %{patches})

Requires:       perl(BSSolv) >= 0.07
# Required by source server
Requires:       createrepo
Requires:       diffutils
Requires:       git-core
Requires:       patch

# needed for api test suite
%if 0%{?suse_version} > 1210
Requires:       libxml2-tools
%else
Requires:       libxml2
%endif

Recommends:     yum yum-metadata-parser repoview dpkg
Recommends:     deb >= 1.5
Recommends:     lvm2
Recommends:     openslp-server
Recommends:     obs-signd
Recommends:     inst-source-utils
Requires:       perl-Compress-Zlib
Requires:       perl-File-Sync >= 0.10
Requires:       perl-JSON-XS
Requires:       perl-Net-SSLeay
Requires:       perl-Socket-MsgHdr
Requires:       perl-XML-Parser
Requires:       perl-XML-Simple
Requires:       perl(GD)
Requires:       sphinx >= 2.1.8

%description -n obs-api-testsuite-deps
This is the API server instance, and the web client for the 
OBS.

%prep
%setup -c -T -n %{name}-%{version}
echo > README <<EOF
This is just a meta package with requires
EOF

%build

%install

# main package is .src.rpm only

%files -n obs-api-testsuite-deps
%defattr(-,root,root)
%doc README

%changelog
* Tue Aug 30 2016 Oleg Girko <ol@infoserver.lv>
- Update patches for obs-server
* Sat Aug 20 2016 Oleg Girko <ol@infoserver.lv> - 2.7.1
- Update to 2.7.1
- Add some patches from 2.7 branch that were added after 2.7.1 release
* Wed Jul 27 2016 Oleg Girko <ol@infoserver.lv>
- Update patches for obs-server
* Wed Jul 13 2016 Oleg Girko <ol@infoserver.lv>
- Port to Fedora
* Tue May 31 2016 adrian@suse.de
- OBS 2.7.0 release
* Fri Apr  8 2016 adrian@suse.de
- OBS 2.7.0 beta 1 release
  Please read the ReleaseNotes-2.7 file for details.
* Fri Jan 29 2016 adrian@suse.de
- OBS 2.6.8 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * none
  Bugfixes:
  =========
  This release fixes several potential CVEs reported in Ruby on Rails
  http://weblog.rubyonrails.org/2016/1/25/Rails-5-0-0-beta1-1-4-2-5-1-4-1-14-1-3-2-22-1-and-rails-html-sanitizer-1-0-3-have-been-released/
  * [webui] Fixes CVE-2015-7576: Timing attack vulnerability in basic authentication in Action Controller.
  * [webui] Fixes CVE-2016-0751: Possible Object Leak and Denial of Service attack in Action Pack
  * [webui] Fixes CVE-2015-7577: Nested attributes rejection proc bypass in Active Record.
  * [webui] Fixes CVE-2016-0752: Possible Information Leak Vulnerability in Action View
  * [webui] Fixes CVE-2016-0753: Possible Input Validation Circumvention in Active Model
  * [webui] Fixes CVE-2015-7581: Object leak vulnerability for wildcard controller routes in Action Pack
  * [backend] fix local building inside a project on a remote OBS instance
  * [backend] fix lost events on scheduler restart
* Fri Nov  6 2015 cbruckmayer@suse.com
- OBS 2.6.7 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * backend: compability support with Download-on-Demand definitions from OBS 2.7
  Bugfixes:
  =========
  * webui: drop hardcoded opensuse email adress and link
  * webui: fix XSS attack vector via User.realname (bnc#950932)
  * webui: fix XSS attack vector via Projec.title (bnc#950932)
  * webui: add spec & changes files code highlighting
* Tue Oct 13 2015 hvogel@suse.com
- OBS 2.6.6 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * Keep enforce_project_keys/forceprojectkeys in sync
  Bugfixes:
  =========
  * webui: fix XSS attack vector via project.title
* Fri Oct  9 2015 adrian@suse.de
- OBS 2.6.5 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * webui: make the hint to interconnect more visible
  Bugfixes:
  =========
  * webui: fix XSS attack vector via comments (bnc#947736 and CVE-2015-5966)
  * config: fixed apache 2.4 config in template file
* Wed Sep  9 2015 adrian@suse.de
- OBS 2.6.4 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * none
  Bugfixes:
  =========
  * webui: fix read access to local files on server
  * api: fix database connection leak caused by sphinx indexing
  * backend: fix blocking ajax handler on getbinaries
* Wed Aug 12 2015 adrian@suse.de
- OBS 2.6.3 release
  Feature backports:
  ==================
  * backend: support using docker as build environment (not secure)
  Changes:
  ========
  * none
  Bugfixes:
  =========
  * backend: validate results of external patch command. could be used
    to modify packages without sufficiant permissions (bnc#941099, CVE-2015-0796)
  * backend: fixing create pattern call in publisher
  * backend: fix handling of host specific bsconfig.* files
* Wed Apr  8 2015 adrian@suse.de
- OBS 2.6.2 release
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * dispatcher sends no armv7 jobs to aarch64 build hosts anymore
  Bugfixes:
  =========
  * webui: depends on rubygem-redcarpet 3.2.3, fixes possible XSS attack (boo#926328)
* Thu Mar 12 2015 adrian@suse.de
- OBS 2.6.1 release
  Feature backports:
  ==================
  * support static links for vmx/vmdk files
  Changes:
  ========
  * none
  Bugfixes:
  =========
  * api: fix handling of special chars in maintenance package names
  * api: do not allow to overwrite existing groups via wrong route
  * api: fix first time login when using LDAP
  * webui: fix user icon fetching as done by google bot
  * webui: fix display issues (github issues obs#320, obs#711, obs#806)
  * backend: fix arbitrary command execution in service daemon (CVE-2015-0778)
  * backend: fix lxc support in worker
  * backend: fix event handling when using multiple backend servers
  * backend: fix publishing of vmx files
* Wed Feb  4 2015 adrian@suse.de
- OBS 2.6.0 release
  - details are in the release notes
* Fri Dec 12 2014 adrian@suse.de
- update to OBS 2.6 RC 1 (2.5.95)
* Tue Nov  4 2014 adrian@suse.de
- update to OBS 2.6 Beta 1 (2.5.90)
* Tue Jul  2 2013 adrian@suse.de
- fix build
- drop lighttpd configs
- environment/*rb files are non-noreplace now, all config options
  went into options.yml and configuration.xml
* Mon Jun 10 2013 adrian@suse.de
- starting OBS pre-2.5 snapshots
- require the createrepo version which got used in the testsuite
* Fri Jun 29 2012 adrian@suse.de
- update to OBS 2.3.2
  Feature backports:
  ==================
  * none
  Changes:
  ========
  * support xz compressed kiwi images
  * documentation and theming updates
  * do not leave out sourceaccess protected package on branching (bnc#766119)
  Bugfixes:
  =========
  * fixed dieing source ajax source when doing OBS interconnect
  * removal of not expandable _link files is working now
  * package meta data on project copy takes all elements now, except
    person, group and devel.
  * initial webui database setup on appliance works now
  * no error when using appliance without OBS LVM volume group
  * webui is able to store OBS configuration now.
* Thu May 31 2012 adrian@suse.de
- update to OBS 2.3.1
  Feature backports:
  ==================
  * Support remote product build tree building
  * Make kiwi support packages configurable. Defaults are:
    Substitute: kiwi-setup:image kiwi createrepo tar
    Substitute: kiwi-setup:product kiwi
  Changes:
  ========
  * Support Order: handling also during preinstall (for Fedora 17)
  * Added Fedora-17 default target
  * bnc and fate issue tags are also accepted with whitespace: bnc #123
    (This requires to run migrations on api).
  * Increased timeouts for OBS inter connects
  Bugfixes:
  =========
  * Use right architecture on spec file parsing when project configuration contains a "Target:" line
  * Fixed warning messages about 'nextstate' in dispatcher
  * Fixed urls in webui to www.open-build-service.org
  * Init script fixes for automatic deployment of workers
  * Fixed debian handling for exporting sources
* Fri Apr 20 2012 adrian@suse.de
- OBS 2.3 RC5, (version 2.2.995)
  - various documentation updates
  - fixed request diffing for "updatelink" requests
  - fixed various update and first start problems
  - fixed various crashes in webui
  - critical backend fix for sending data with trailing \0 after 8192 boundaries
* Tue Apr 10 2012 adrian@suse.de
- OBS 2.3 RC4, (version 2.2.994)
  - serialized diffing, protects the server against DoS
* Wed Apr  4 2012 adrian@suse.de
- OBS 2.3 RC3, (version 2.2.993)
  - fixed standalone obsworker installation
  - some init script fixes
  - minor webui fixes
  - _patchinfo creation fix on maintenance request accept
* Fri Mar 30 2012 adrian@suse.de
- OBS 2.3 RC2, (version 2.2.992)
  - fixed regression in "none" repo type support
  - fixed database corruption for maintenance projects
  - fixes for webui patchinfo editor
* Mon Mar 26 2012 adrian@suse.de
- OBS 2.3 RC2, (version 2.2.991)
  - "none" repo type support
  - fix for creating new user with local database
  - fix search publish functionality
  - fixed priority handling in scheduler
* Wed Mar 21 2012 adrian@suse.de
- OBS 2.3 RC1, (version 2.2.990)
* Mon Mar 19 2012 adrian@suse.de
- update to current git, version 2.2.131
  * OBS 2.3 interconnect fix
  * fixed access-disabled maintenance handling
  * debian source publish handling fixes from "Hector Oron"
* Thu Mar 15 2012 adrian@suse.de
- update to current git, version 2.2.130
  * new unlock method via command instead of meta data edit
  * various maintenance handling fixes
* Wed Mar 14 2012 adrian@suse.de
- update to current git, version 2.2.129
  * support for publishing binaries in subdirectories
  * fixed handling of local linked packages on branching
  * release handling fixes
  * webui layout fixes
* Fri Mar  9 2012 adrian@suse.de
- update to current git, version 2.2.128
  * incident request expansion
  * additional protection against mass-assignment injection
  * further webui request view fine tuning
  * minor fixes in backend
* Fri Mar  2 2012 adrian@suse.de
- update to current git, version 2.2.127
  * fixed multiarch handling in aggregate
  * webui request view fixes
  * init script fixes
* Thu Feb 23 2012 adrian@suse.de
- update to current git, version 2.2.126
  * webui has new request view
  * patchinfo "stopped" and "issue undocumented" feature
* Tue Feb 21 2012 adrian@suse.de
- update to current git, version 2.2.125
  * fixed maintenance incident request merge
  * fixed urls in issue diffs
* Fri Feb 17 2012 adrian@suse.de
- update to current git, version 2.2.124
  * INCOMPATIBLE changes in issue handling api
  * webui support search for issues in packages
  * enhanced xpath query support for issues
* Thu Feb 16 2012 adrian@suse.de
- update to current git, version 2.2.123
  * fixed qemu cross build job assigning
  * new maintenance incident handling
* Mon Feb 13 2012 adrian@suse.de
- update to current git, version 2.2.121
  * various appliance and initial-setup fixes
* Thu Feb  9 2012 adrian@suse.de
- update to current git, version 2.2.120
  * fixed native build of arm, mips and sh4
  * fixed service files on request handling
  * maintenance incident merge changes
* Thu Feb  2 2012 adrian@suse.de
- update to current git, version 2.2.119
  * critical api branch fix
  * webui maintenance improvements
* Mon Jan 30 2012 adrian@suse.de
- update to current git, version 2.2.117
  * webui maintenance fixes
  * recursive removal of repository
  * fixed issue tracker api
* Thu Jan 26 2012 adrian@suse.de
- update to current git, version 2.2.116
  * appliance fixes
* Tue Jan 24 2012 adrian@suse.de
- update to current git, version 2.2.115
  * improved issue tracking support
  * new webui testsuite got merged
  * a number of maintenance handling features
* Thu Jan 12 2012 adrian@suse.de
- update to current git, version 2.2.114
  * issue tracking support for all packages
* Wed Jan 11 2012 adrian@suse.de
- update to current git, version 2.2.113
  * support for releasing local linked packages
* Tue Jan 10 2012 adrian@suse.de
- update to current git, version 2.2.112
  * issue tracker fixes
  * rdoc task updates
- require Rails 2.3.14
* Mon Jan  9 2012 adrian@suse.de
- update to current git, version 2.2.111
  * branch code improvements for SLE like setups
* Thu Dec 22 2011 adrian@suse.de
- update to current git, version 2.2.110
  * bugfix christmas edition
* Wed Dec 21 2011 adrian@suse.de
- update to current git, version 2.2.109
  * fixed delayed job crash
  * fixed broken requests on re-open
  * fast product build
* Tue Dec 20 2011 adrian@suse.de
- update to current git, version 2.2.108
  * new declined -> revoked/reopen/superceded handling
  * bugfixes in maintenance area
  * drop sysconfig.obs-worker, merged with -server.
  * regression to satisfy 12.2 check: obs-worker MUST be installed now
* Tue Dec 13 2011 adrian@suse.de
- update to current git, version 2.2.106
  * improvements in issue tracker code
  * binary upload feature
  * supporting links for new packages (no existing target)
* Mon Dec  5 2011 adrian@suse.de
- update to current git, version 2.2.105
  * new, faster obs-worker product build code
  * maintenance release resign support
* Thu Dec  1 2011 adrian@suse.de
- update to current git, version 2.2.104
  * fixed special cases of branch command
  * fixed project copy with binaries
* Wed Nov 30 2011 adrian@suse.de
- update to current git, version 2.2.103
  * fdatasync also for solv files, requires new BSSolv
* Mon Nov 28 2011 adrian@suse.de
- update to current git, version 2.2.102
  * scheduler is using fdatasync now
* Fri Nov 25 2011 adrian@suse.de
- update to current git, version 2.2.101
  * fixed vrev handling on maintenance release
* Fri Nov 25 2011 adrian@suse.de
- update to current git, version 2.2.100
  * using issue_tracker data in backend
* Tue Nov 22 2011 adrian@suse.de
- update to current git, version 2.2.98
  * new branch code
* Thu Nov 17 2011 adrian@suse.de
- update to current git, version 2.2.97
  * fixing schema validation
  * issue tracker support
* Sun Nov 13 2011 mikhail.zabaluev@gmail.com
- de-ghosted important configuration files for webui
* Fri Nov 11 2011 adrian@suse.de
- update to current git, version 2.2.96
  * many webui changes, esp. improved diff support
  * incompatible patchinfo format changes (was marked as experimental)
* Mon Oct 31 2011 adrian@suse.de
- update to current git, version 2.2.95
  * many cleanups, getting near to RC1 ...
* Thu Oct 20 2011 adrian@suse.de
- update to current git, version 2.2.94
  * distro release support
* Tue Oct 18 2011 adrian@suse.de
- update to current git, version 2.2.93
  * new source md5sum trigger mechanism.
    WARNING: this will trigger a rebuild of all packages with links!
  * fixes to support openSUSE 12.1
* Wed Oct  5 2011 adrian@suse.de
- update to current git, version 2.2.92
  * fixed updateinfo.xml generation
  * added openSUSE:Factory:ARM as default target
* Thu Sep  8 2011 adrian@suse.de
- update to current git, version 2.2.91
  * fix for died schedulers on creating deltas
* Fri Jul 22 2011 adrian@suse.de
- update to current git, version 2.2.90
  * 2.3 Beta 3
  * obs-common is part of obs-api package now
  * using nokigiri as XML handler to fix ruby crashes
* Fri Jul  1 2011 adrian@suse.de
- update to current git, version 2.2.85
  * large number of bugfixes after Beta 2
* Tue Jun  7 2011 adrian@suse.de
- update to current git, version 2.2.82
  * new source service handling is used
* Thu May 26 2011 adrian@suse.de
- update to current git, version 2.2.81
  * new branding name Open Build Service is used
* Mon May 16 2011 adrian@suse.de
- update to current git, version 2.2.81
  * some important fixes after beta 1 to get openSUSE maintenance rolling
* Mon May  9 2011 adrian@suse.de
- update to current git, version 2.2.77
  * cleanup in maintenance are to become beta ready
* Wed May  4 2011 adrian@suse.de
- update to current git, version 2.2.76
  * bugfixes
* Fri Apr 29 2011 adrian@suse.de
- update to current git, version 2.2.75
  * delta rpm support for maintenance updates
  * new webui request views
  * regression fixes
* Wed Apr 20 2011 adrian@suse.de
- update to current git, version 2.2.74
  * support for generic authentification proxy
  * maintenance feature work
  * larger amount of bugfixes
* Fri Apr 15 2011 adrian@suse.de
- update to current git, version 2.2.73
  * fix crashes on large file uploads with mod_rails under apache
* Tue Apr 12 2011 adrian@suse.de
- update to current git, version 2.2.72
- finalized the apache2 switch, please read README files for details
* Wed Apr  6 2011 adrian@suse.de
- update to current git, version 2.2.71
- **** Change from lighttpd to apache2 as default web server ****
* Mon Apr  4 2011 adrian@suse.de
- update to current git, version 2.2.70
  * new architecture controller
  * new reject request feature
  * general cleanups in error handling
* Mon Mar 28 2011 adrian@suse.de
- update to current git, version 2.2.69
  * regression fixes, should work with old config files again
* Thu Mar 24 2011 adrian@suse.de
- update to current git, version 2.2.68
  * kvm appliance build fixes
  * maintenance release support
* Thu Mar 24 2011 adrian@suse.de
- update to current git, version 2.2.67
  * appliances fixes from Jan-Simon
  * releasetarget handling support
* Mon Mar 21 2011 adrian@suse.de
- update to current git, version 2.2.66
  * appliance updates from Jan-Simon
* Fri Mar 18 2011 adrian@suse.de
- update to current git, version 2.2.65
* Thu Mar  3 2011 adrian@suse.de
- update to current git, version 2.2.64
  * maintenance release handling support
* Mon Feb 28 2011 adrian@suse.de
- update to current git, version 2.2.63
  * backend support for maintenance features
* Fri Feb 25 2011 adrian@suse.de
- update to current git, version 2.2.62
  * more maintenance support work, api is in theory feature complete
* Tue Feb 22 2011 adrian@suse.de
- update to current git, version 2.2.61
  * more maintenance support work
* Mon Feb 14 2011 adrian@suse.de
- update to current git, version 2.2.60
  * we skip 2.2 release
  * more regression fixes for 2.2 features
  * first maintenance features
  * mobile handheld web view
* Thu Jan 27 2011 adrian@suse.de
- update to current git, version 2.1.80
  * more regression fixes
  * protect against loosing every binary on misconfigured source server
  * project wide source service support
* Mon Jan 24 2011 adrian@suse.de
- update to current git, version 2.1.79
  * plenty regression fixes
* Sat Jan 22 2011 adrian@suse.de
- update to current git, version 2.1.78
  * fix hangups of webui and lighttpd
* Wed Jan 19 2011 adrian@suse.de
- update to current git, version 2.1.77
  * fast search calls again, requires new and incompatible obs-common package
* Tue Jan 18 2011 adrian@suse.de
- update to current git, version 2.1.76
  * permission handling got bigger changes
* Wed Jan  5 2011 adrian@suse.de
- update to current git, version 2.1.74
  * a number of webui updates
  * appliance fixes
* Mon Jan  3 2011 adrian@suse.de
- update to current git, version 2.1.72
* Wed Dec 29 2010 adrian@suse.de
- update to current git, version 2.1.71
* Thu Dec  9 2010 adrian@suse.de
- update to current git, version 2.1.69
  * fixing file system permissions for new installations
* Wed Dec  8 2010 adrian@suse.de
- update to current git, version 2.1.68.
  * obswebuidelayed is obsolete
* Mon Dec  6 2010 adrian@suse.de
- update to current git, version 2.1.67.
  * plenty webui fixes and improvements from Sascha
* Mon Nov 29 2010 adrian@suse.de
- update to current git, version 2.1.66.
  * OBS interconnect client fixed again
* Mon Nov 29 2010 adrian@suse.de
- update to current git, version 2.1.65.
  * Jan-Simons project read access protection code got merged
* Thu Nov 25 2010 adrian@suse.de
- update to current git, version 2.1.64.
  * new api content validation introduced
* Thu Nov 18 2010 adrian@suse.de
- update to current git, version 2.1.63.
* Fri Nov 12 2010 adrian@suse.de
- update to 2.1.62:
  * new dependencies to erubis and rails_xss
* Thu Nov 11 2010 adrian@suse.de
- update to 2.1.61:
  * no major features
* Tue Nov  9 2010 adrian@suse.de
- update to 2.1.60:
  * first 2.2 Alpha snapshot
* Mon Oct 18 2010 adrian@suse.de
- update to final 2.1.0
  * no code changes
* Thu Oct 14 2010 adrian@suse.de
- update to current 2.1 branch snapshot, version 2.0.107
  * 2.1 RC 2
  - Fixing branch by attribute call, supporting also project links
  - scheduler cleanup for delayed project handling
* Tue Oct 12 2010 adrian@suse.de
- update to current 2.1 branch snapshot, version 2.0.106
  - 2.1 RC 1
  * small fixes only
* Thu Oct  7 2010 adrian@suse.de
- update to current 2.1 branch snapshot, version 2.0.105
  - 2.1 Beta 3
  * source access control fixes
  * user authentification fixes
* Fri Oct  1 2010 adrian@suse.de
- update to current 2.1 branch snapshot, version 2.0.104
  - 2.1 Beta 2
  * source access control fixes
  * allow admin to control new user registration
* Mon Sep 20 2010 adrian@suse.de
- update to current snapshot, version 2.0.102
  last before 2.1 beta 1
* Thu Sep  9 2010 adrian@suse.de
- update to current snapshot, version 2.0.99
* Mon Sep  6 2010 adrian@suse.de
- update to current snapshot, version 2.0.96
* Fri Sep  3 2010 adrian@suse.de
- update to current snapshot, version 2.0.95
* Thu Sep  2 2010 adrian@suse.de
- update to current snapshot, version 2.0.94
* Fri Aug 27 2010 adrian@suse.de
- update to current git, version 2.0.92
  * webui switches to MySQL default
* Tue Aug 24 2010 adrian@suse.de
- update to current git, version 2.0.91
* Fri Aug 20 2010 adrian@suse.de
- update to current git, version 2.0.90
  * still alpha state
  * webui: source history browser
  * webui: submit request creation
* Mon Aug 16 2010 adrian@suse.de
- update to current git, version 2.0.89
* Thu Aug  5 2010 adrian@suse.de
- update to current git, version 2.0.88
* Fri Jul 30 2010 adrian@suse.de
- update to current git, version 2.0.87
* Wed Jul 21 2010 adrian@suse.de
- update to current git, version 2.0.86
* Tue Jul 13 2010 adrian@suse.de
- update to current git, version 2.0.85
* Mon Jul  5 2010 adrian@suse.de
- update to current git, version 2.0.84
  * reworked flag handling in api
  * switch to rails 2.3.8
* Thu Jul  1 2010 adrian@suse.de
- update to current git, version 2.0.83
  * lots of fixes after extending test suite
  * notification system is now pluggable
* Mon Jun 28 2010 adrian@suse.de
- update to current git, version 2.0.82
* Fri Jun 25 2010 adrian@suse.de
- update to current git, version 2.0.81
* Mon Jun 14 2010 adrian@suse.de
- very first snapshot for 2.1 release
  * read permission control feature
* Wed Jun  9 2010 adrian@suse.de
- 2.0
  * fixed download file support in webui
  * fixed package checkout from remote instance
* Mon Jun  7 2010 adrian@suse.de
- 1.9.92 (2.0 Beta 3)
  * basic proxy support for backend
  * signd setup support for appliance
  * bugfixes
* Fri May 28 2010 adrian@novell.com
- 1.9.91 (2.0 Beta 2)
  * New patchinfo editor
  * bugfixes
* Sat May 22 2010 adrian@suse.de
- 1.9.70 snapshot
  * feature complete 2.0 snapshot
* Mon May 17 2010 adrian@suse.de
- 1.9.63 snapshot
* Fri May  7 2010 adrian@suse.de
- 1.9.61 snapshot
  * obs-worker becomes noarch for openSUSE 11.2 and later
* Thu Apr 29 2010 adrian@suse.de
- 1.9.60 snapshot
* Tue Mar 16 2010 adrian@suse.de
- 1.7.53 snapshot
* Mon Mar  8 2010 adrian@suse.de
- 1.7.52 snapshot
  * group handling support
  * attribute type permission handling
  * reworked permission handling
  * default reviewer support
  * product build cache support
* Thu Mar  4 2010 adrian@suse.de
- 1.7.51 snapshot of 2.0(aka 1.8)
  * reworked LDAP support by David Greaves
- ruby-ldap is used instead of rubygem-net-ldap now
* Thu Feb 18 2010 adrian@suse.de
- very first 1.8 snapshot
  * first merges for new WEBUI
  * LDAP authentification support from Luke Imhoff(Cray)
* Wed Feb 10 2010 adrian@suse.de
- apply current 1.7 Branch diff
  * fixes kvm check in worker init script
  * fix DoS when having binary data in build description files
  * fixes possible scheduler crash
* Mon Feb  8 2010 adrian@suse.de
- OBS 1.7.0
* Wed Feb  3 2010 adrian@suse.de
- OBS 1.7.0 RC 1
* Tue Jan 26 2010 adrian@suse.de
- OBS 1.7.0 beta 3
* Tue Jan 19 2010 adrian@suse.de
- change SLP nameing theme from obs. to obs: to make obs browseable
* Fri Jan 15 2010 adrian@suse.de
- OBS 1.7.0 beta 2
- Requires Ruby on Rails 2.3.5 now
* Fri Nov  6 2009 mrueckert@suse.de
- added rails_enforce_proper_version.patch:
  make sure we really require rails 2.1.2.
  using ~> 2.1 is just wrong.
* Wed Oct 28 2009 chris@computersalat.de
- added bs_srcserver patch
  o needed for local obs when using openSUSE.org: projects
    and you want to do local builds via 'osc build'
* Tue Aug 11 2009 adrian@suse.de
- Really handling the directory -> symlink conversation correctly.
* Thu Jun 25 2009 mrueckert@novell.com
- disable the broken part of the pre script
- buildrequire "build" to avoid dangling symlink warnings
* Fri Jun 19 2009 adrian@localhost
- Update to final 1.6.0 release
* Wed Apr 22 2009 adrian@suse.de
- drop own build script version and reuse the version from build
  package instead.
  This drops also the unwanted dependency to bash-static again
* Wed Apr 15 2009 adrian@suse.de
- update to version 1.6 beta 2
* Thu Apr  9 2009 froh@suse.de
- take sysconfig template from svn to fix #490258 in the package.
* Tue Feb 24 2009 adrian@suse.de
- update to 1.5.1
  * Workaround for Rails 2.1 bug
* Tue Feb 24 2009 adrian@suse.de
- fix dependency to rails version, require 2.1.2 now (#479039).
- disable Download on Demand by default as security fix.
* Mon Feb 23 2009 adrian@suse.de
- update to final 1.5 candidate
  * fixed product generation without betaversion defined
* Fri Feb  6 2009 mrueckert@suse.de
- fixed rails requires:
  1. added obs-1.5_rails_version.patch to make all rails apps
  require 2.0.5
  2. fixed requires in the obs-api package
* Mon Jan 12 2009 adrian@suse.de
- Update to 1.5.rc2
- init script fixes
- various kiwi image handling fixes
- relsync fixes
* Fri Dec 12 2008 froh@novell.com
- branch to 1.5.rc1
- include bs_productconvert search path fix (bnc#458309)
- add ReleaseNotes-1.5 file
- rpmlint fixes: remove executable bit from perl libraries, add
  missing package descriptions, add missing %%%%insserv_cleanup %%%%postun
  calls, add missing $remote_fs init script dependencies, add
  (failing) reload command to signd init script.
- do %%%%fdupes only if the distro has it (fixes sle10 builds)
* Thu Nov 20 2008 froh@novell.com
- get setuid handling right (bnc#446164)
- clean up fillup-templates
- "sign" is not noarch, so the package isn't
- use fdupes to hard link duplicate files
- provide "Group" and "Summary" where missing
- fix permissions handling
- incorporate new Meta handling
- get changelog and fixes from Factory
* Tue Nov 11 2008 froh@novell.com
- fix init scripts for stricter 11.1 requirements.
- get rid of strict rails dependency.
- there's no more rubygems-builder. use active_support instead.
- fix file lists to satisfy 11.0 rpmlint checks
- move log file creation from %%%%post to %%%%init and %%%%files, where it belongs
* Mon Nov 10 2008 froh@novell.com
- add bs_productconvert and obs-productconvert subpackage as temporary
  kludge to make this tool available.
* Fri Oct 24 2008 froh@novell.com
- fix webclient rails version requirement to be the same as the
  api one
* Thu Oct 16 2008 froh@novell.com
  update to svn branches/buildservice/1.0 -r5344:
- add signd
- webclient-EXTERNAL_FRONTEND_HOST.patch:
  adds optional EXTERNAL_FRONTEND_HOST config value for situations
  when FRONTEND_HOST isn't available publicly (ichain setups)
- webclient-RAILS_GEM_VERSION.patch:
  enforce the right rails version
- use cleaned up spec file from openSUSE:Tools:Unstable
- make the download server setup in obs.conf a knowing decision,
  instead a secret default
- satisfy rpmlint so it only warns and no longer fails
- fix previous changelog entry
* Thu Oct  9 2008 froh@suse.de
- reviewed for Factory submission
* Wed Jun 11 2008 martin.mohring@5etech.eu
- update to svn trunc -r 4169
- heading toward OBS 1.0
- fixed requires again
- dont copy doc files, they are packaged already in .tar.bz2
- put all docu files in obs-api package
- some %%%%pre / %%%%post alignments
- schemata and doc now mentioned in config
- includes hermes fixes in config and the worker
* Tue Jun  3 2008 martin.mohring@5etech.eu
- update to svn trunc -r 4091
- incl. bugfixes, see svn log
- added hermes
* Mon Jun  2 2008 martin.mohring@5etech.eu
- update to svn trunc -r 4074, bugfixes
- added file of the spec file wizard now added
- new debtransform features
- build now has opensuse 11.0 config
- osc develproj and branch support
* Fri May 23 2008 martin.mohring@5etech.eu
- update to svn trunc -r 4026, bugfixes
- exchanged dpkg package by deb package, provided by newer openSUSE Distros
* Mon May 19 2008 martin.mohring@5etech.eu
- update to svn trunc -r 3996, bugfixes
- incl. latest osc alignments for 1.0 release
- added obs-server-test.spec for building osc, build, obs-server from one source
* Fri May 16 2008 martin.mohring@5etech.eu
- update to svn trunc -r 3983, incl. all build/obs_worker changes
- readded fix for changing download addresses in webclient
* Thu May 15 2008 martin.mohring@5etech.eu
- added also old python written script obs_mirror_project.py from James Oakley
* Thu May 15 2008 martin.mohring@5etech.eu
- made apidocs working (finally)
- got back to old svn version numbering so that ./distribute generates all
- updated to newer versions of rcobs scripts
- switchable comment for x86_64 scheduler in sysconfig.obs-server
- removed obsoleted files from svn and .spec file
- updates of obs-server.changes from openSUSE:Tools:Unstable project
* Wed May 14 2008 adrian@suse.de
- update to current svn trunk
- avoid more hardcoded server names
- bsworker can be installed on remote systems now and configured
  via sysconfig settings
- add apidocs generation and correct installation
* Fri Apr 25 2008 adrian@suse.de
- update to version 0.9.1
  - fixes from the changelog entries before
- Version 0.9.1 is required now to use the build service
  inter connect feature with api.opensuse.org
* Wed Apr 23 2008 mls@suse.de
- increase timeouts in scheduler
- fix circular reference in BSSSL
- fix auto socket close in BSRPC
* Thu Apr 17 2008 adrian@suse.de
- apply fix for
  * local osc support building for remote projects
  * fix ssl protocol handling
* Wed Apr 16 2008 mrueckert@suse.de
- added perl-Net_SSLeay
* Wed Apr 16 2008 adrian@suse.de
- update to version 0.9 release
  * Inter Build Service Connect support
  * rpmlint support
  * KIWI imaging support
  * baselibs build support
  * submission request support
* Mon Nov 26 2007 froh@suse.de
- use startproc
- have correct "Should-Start" dependencies
- ensure all services come up at boot
* Thu Nov 15 2007 froh@suse.de
- depend on exact rails version
- generate package from buildservice/dist dir
- update README.SETUP
- add publisher and dispatcher
* Fri Jan 26 2007 poeml@suse.de
- implement status/restart in the init scripts
* Fri Jan 26 2007 poeml@suse.de
- added dependency on createrepo
* Fri Jan 26 2007 poeml@suse.de
- update to r1110
  - revert last change, and do it the ruby way, by creating a new
  migration for it... so existing installations are upgraded
  - fix truncated line in sorting algorithm
  - add missing mkdir
  - add url to package metadata
- fix build / install sysconfig files
- fix copyright headers in init script
- fix path in README where to copy packages to
* Thu Jan 25 2007 poeml@suse.de
- update to r1108
  create a few more architectures, when initializing the database
